#include "Spring.h"

Spring2D::Spring2D():
radius(20),
stiffness(0.2),
damping(0.7)
{
}

Spring2D::~Spring2D()
{
}

Spring2D::Spring2D(float xpos, float ypos, float m, float g):
radius(20),
stiffness(0.2),
damping(0.7) 
{
	x = xpos;
	y = ypos;
	mass = m;
	gravity = g;
}

void Spring2D::update(float targetX, float targetY) 
{
	float forceX = (targetX - x) * stiffness;
	float ax = forceX / mass;
	vx = damping * (vx + ax);
	x += vx;
	float forceY = (targetY - y) * stiffness;
	forceY += gravity;
	float ay = forceY / mass;
	vy = damping * (vy + ay);
	y += vy;
}

void Spring2D::display(float nx, float ny) 
{
	//noStroke();
	//ellipse(x, y, radius*2, radius*2);
	//stroke(255);
	//line(x, y, nx, ny);
	ofSetColor(0x000000);
	ofEllipse(x, y, radius*2, radius*2);
	ofSetColor(0xFFFFFF);
	ofLine(x, y, nx, ny);
}
