#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){

	width = 200;
	height = 200;

	//--------------------------
	gravity = 6.0;
	mass = 2.0;

	//size(200, 200);
	ofSetWindowShape(200, 200); //  
	//smooth();
	ofEnableSmoothing();
	//fill(0);
	ofBackground(0, 0, 0); //  
	
	// Inputs: x, y, mass, gravity
	s1 = new Spring2D(0.0, width/2, mass, gravity);
	s2 = new Spring2D(0.0, width/2, mass, gravity);

	//------------------------

	//lets make our circles look a little nicer!
	ofSetCircleResolution(50);

	ofSetVerticalSync(true);
	ofSetFrameRate(50);

	mouseX=0;
	mouseY=0;
	mouseClickX=0;
	mouseClickY=0;
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){

	//background(204);
	ofBackground(204, 204, 204); //  

	//s1.update(mouseX, mouseY);
	//s1.display(mouseX, mouseY);
	//s2.update(s1.x, s1.y);
	//s2.display(s1.x, s1.y);
	if(s1){
		s1->update(mouseX, mouseY);
		s1->display(mouseX, mouseY);
	}
	if(s2){
		s2->update(s1->x, s1->y);
		s2->display(s1->x, s1->y);
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	//printf("[i][mouseMoved] x: %d y: %d\n", x, y);
	mouseX=x;
	mouseY=y;
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	printf("[i][mousePressed] x: %d y: %d\n", x, y);
	mouseClickX=x;
	mouseClickY=y;
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

